import { PageLoading } from '@ant-design/pro-layout';
import { history, useModel } from 'umi';
import { projectObj } from '@/config/api.js';
import UserStorage from '@/config/sagacare/sagacare_user';

/** 获取用户信息比较慢的时候会展示一个 loading */
export const initialStateConfig = {
  loading: <PageLoading />,
};

/**
 * @see  https://umijs.org/zh-CN/plugins/plugin-initial-state
 * */
export async function getInitialState(): Promise<{
  // settings?: Partial<LayoutSettings>;
  currentUser?: API.CurrentUser;
  fetchUser?: () => Promise<API.CurrentUser | undefined>;
  //loading?: boolean;
  //fetchUserInfo?: () => Promise<API.CurrentUser | undefined>;
}> {
  console.log('fsdfsdsdd');
  const { location } = history;
  var token = localStorage.getItem('token');
  if (location.pathname.indexOf('login') == -1 && !token) {
    history.push('/login');
  }

  let currentUser = {};

  if (projectObj.projectId == 'Pj3301100002') {
    //之江项目 验证token
    // currentUser = await fetchUser();
  } else {
    //非之江项目
    let tempUser = {
      name: '行政测试',
      phone: '17611228068',
      id: '9a1ecfbacb6b4f249bf2dd3ec7793ead',
    };

    var userObj = UserStorage.getInstance();
    userObj.setUser(tempUser);
  }

  return {
    currentUser,
    fetchUser,
  };
}

export const request = {
  requestInterceptors: [
    (url: any, options: any) => {
      return {
        url,
        options: {
          ...options,
          interceptors: true,
          headers: {
            'saga-token': localStorage.getItem('token'),
          },
        },
      };
    },
  ],
  responseInterceptors: [
    async (response: any) => {
      return response;
    },
  ],
  errorHandler: (error: any) => {
    const { response } = error;
    if (!response) {
      // message.error('您的网络发生异常，无法连接服务器');
    }
    throw error;
  },
};
