import React, { useState, useEffect, useCallback, useRef } from 'react';
import { FormattedMessage, history, useModel } from 'umi';
import { Spin, Popover } from 'antd';
import styles from './index.less';
import cx from 'classnames';
import PageHeader from '@/sagacare_components/PageHeader';
import Search from '@/sagacare_components/Search';
import Table from '@/sagacare_components/Table';
import Empty from '../components/Empty';
import { EllipsisOutlined } from '@ant-design/icons';

export default (props) => {
  const [list, setList] = useState([
    {
      name: 'zhangsan',
      type: '临时成员',
      phone: '13387842343',
      duties: '经理', //职务
      passablereseArea: '区域1区域2', //可通行区域
      residentArea: '上格云1', //常驻工区
      controlledArea: '区域3333', //可控空间
      activateTime: '2023/07/16', //激活时间
      state: '正常', //状态
    },
    {
      name: 'zhangsan',
      type: '临时成员',
      phone: '1334245343',
      duties: '经理', //职务
      passablereseArea: '区域1区域2', //可通行区域
      residentArea: '上格云1', //常驻工区
      controlledArea: '区域3333', //可控空间
      activateTime: '2023/07/16', //激活时间
      state: '正常', //状态
    },
  ]);
  const [total, setTotal] = useState(10);
  const [loading, setLoading] = useState(false);
  const [page, setPage] = useState({
    pageNum: 1,
    pageSize: 10,
  });
  const getColumns = () => {
    return [
      {
        title: '姓名',
        dataIndex: 'name',
      },
      {
        title: '类型',
        dataIndex: 'type',
        filteredValue: [],
        single: true,
        filters: [
          { value: 'a', label: '普通成员' },
          { value: 'b', label: '管理员' },
          { value: 'c', label: '临时成员' },
        ],
      },
      {
        title: '手机号',
        dataIndex: 'phone',
      },
      {
        title: '职务',
        dataIndex: 'duties',
      },
      {
        title: '可通行区域',
        dataIndex: 'passablereseArea',
      },
      {
        title: '常驻工区',
        dataIndex: 'residentArea',
      },
      {
        title: '可控空间',
        dataIndex: 'controlledArea',
      },
      {
        title: '更新时间',
        dataIndex: 'activateTime',
        sorter: true,
        sortered: 'DESC',
      },
      {
        title: '状态',
        dataIndex: 'state',
        render: function (content, item, index) {
          return (
            <div>
              <span className={styles.circle}></span>
              <span>{content}</span>
            </div>
          );
        },
      },
    ];
  };

  return (
    <div className={styles.memberwrap}>
      <PageHeader title={<FormattedMessage id="menu.member.invalid" />} action={<Search />} />
      <div className={styles.bottomTable}>
        <Table
          columns={getColumns()}
          rowKey="phone"
          dataSource={list}
          loading={loading}
          page={page}
          total={total}
          pagination={!!list.length}
          onFilterChange={(key, options) => {
            debugger;
            // if (key == 'spaceName' || key == 'tenantName') {
            //   setShowFilterIds(options);
            // }
          }}
          onRowClick={(record) => {}}
          onSortChange={(col, direction) => {
            debugger;
            // setSorter({ [col['sortIndex']]: direction });
          }}
          onPageChange={(p) => {
            debugger;
            setPage(p);
          }}
        />
        {!list.length && !loading && <Empty />}
      </div>
    </div>
  );
};
